Loading...
Searching...
No Matches
implicit_data_deps.h File Reference
`#include <starpu.h>`
`#include <common/config.h>`

Go to the source code of this file.

## Functions

struct starpu_task * | _starpu_detect_implicit_data_deps_with_handle (struct starpu_task *pre_sync_task, struct starpu_task *post_sync_task, struct _starpu_task_wrapper_dlist *post_sync_task_dependency_slot, starpu_data_handle_t handle, enum starpu_data_access_mode mode, unsigned task_handle_sequential_consistency)
int | _starpu_test_implicit_data_deps_with_handle (starpu_data_handle_t handle, enum starpu_data_access_mode mode)
void | _starpu_detect_implicit_data_deps (struct starpu_task *task)
void | _starpu_release_data_enforce_sequential_consistency (struct starpu_task *task, struct _starpu_task_wrapper_dlist *task_dependency_slot, starpu_data_handle_t handle)
void | _starpu_release_task_enforce_sequential_consistency (struct _starpu_job *j)
void | _starpu_add_post_sync_tasks (struct starpu_task *post_sync_task, starpu_data_handle_t handle)
void | _starpu_unlock_post_sync_tasks (starpu_data_handle_t handle)
void | _starpu_implicit_data_deps_write_hook (void(*func)(starpu_data_handle_t))
int | _starpu_data_wait_until_available (starpu_data_handle_t handle, enum starpu_data_access_mode mode, const char *sync_name)
void | _starpu_data_clear_implicit (starpu_data_handle_t handle)

## Function Documentation

## _starpu_implicit_data_deps_write_hook()

void _starpu_implicit_data_deps_write_hook | ( | void(*)(starpu_data_handle_t) | func | ) |

Register a hook to be called when a write is submitted

## _starpu_data_wait_until_available()

int _starpu_data_wait_until_available | ( | starpu_data_handle_t | handle,
|  | enum starpu_data_access_mode | mode,
|  | const char * | sync_name
| ) |  |

This function blocks until the handle is available in the requested mode